نصب پایتون روی توزیع اوبونتو از سیستم عامل گنو/لینوکس


پیش از این هم گفتیم که روی اکثر توزیع های سیستم عامل گنو/لینوکس، مفسر زبان برنامه نویسی پایتون به صورت پیش فرض نصب است اما برای آن که از این مسئله اطمینان حاصل کنیم، ترمینال را باز کرده و دستورات زیر را به ترتیب وارد آن می کنیم:

python --version
python2 --version
python3 --version

خروجی دستورات فوق به ترتیب به صورت زیر خواهد بود:

Python 2.7.0
Python 2.7.0
Python 3.4.0

با توجه به این که نسخه ی نصب شده ی پیش فرض روی سیستم عامل گنو/لینوکس نسخه ی 2 است، در صورتی که صرفا دستور python را تایپ کنیم نیز نسخه ی 2 زبان پایتون در معرض دید ما قرار خواهد گرفت اما اگر به هر حال بخواهیم در دستور خود نسخه ی مد نظر را نیز بگنجانیم، می توانیم از دستورات python2 برای نسخه ی قدیمی پایتون و python3 برای نسخه ی جدید پایتون به علاوه version-- استفاده کنیم.

به خاطر داشته باشید
لازم به ذکر است که در سیستم عامل اوبونتو نسخه ی 14.04، مفسر زبان برنامه نویسی پایتون نسخه ی 3.4.0 به صورت پیش فرض نصب بوده و نیازی به نصب این نسخه نخواهیم داشت.

در صورتی که بخواهیم از آخرین نسخه ی زبان پایتون یعنی 3.5.0 روی سیستم عامل اوبونتو استفاده نماییم، پس از اطمینان حاصل کردن از اتصال به اینترنت، با وارد کردن دستورات زیر در ترمینال به ترتیبی که آمده اند، مراحل نصب آغاز خواهد شد:

sudo apt-get install libssl-dev openssl
cd /opt
sudo wget python.org/ftp/python/3.5.0/Python-3.5.0.tgz
sudo tar -xzvf Python-3.5.0.tgz
cd Python-3.5.0
./configure
make
sudo make install

اکنون اگر دستور python3 --version را در ترمینال وارد کنیم، می بینیم که نتیجه Python 3.5.0 در معرض دید ما قرار خواهد گرفت.

لیست نظرات
کاربر میهمان
دیدگاه شما چیست؟
کاربر میهمان
رضا بختیاری
رضا بختیاری
۱۳۹۶/۰۷/۳۰
Ich mag Linux
کاربر میهمان
کاربر میهمان
۱۳۹۴/۰۹/۱۴
دوستان به هیچ وجه از دستور آخر استفاده نکنید.نه تنها باعث جایگزینی نسخه جدید نمیشه بلکه موجب به تخریب کلی پایتون شما میشه و موجب میشه افزونه هایی دیگه مثل تمام افزونه های PIP که بر روی پایتون خودتون نصب کردید غیرفعال و حذف بشن
لطفا دستور آخر رو پاک کنید
به هیچ وجه هر دستوری رو با پیش فرمان sudo یا su و یا با کاربر ریشه بدون راهنما و دانش مناسب استفاده نکنید
ادمین سایت
ادمین سایت
۱۳۹۴/۰۹/۱۵
با تشکر از تذکر شما کاربر گرامی

در پاسخ به

Skye
Skye
۱۳۹۴/۰۸/۲۲
سلام. با تشکر از آموزش های بی نظیرتون ... من از سیستم عامل اوبونتو ۱۴ استفاده میکنم و قبل از اینکه پایتون رو همینجوری که شما گفتید به نسخه ۳.۵.۰ ارتقا بدم وقتی دستور idle رو در ترمینال اجرا میکردم صفحه ویرایشگر کد ظاهر می شد اما الان بعد از ادیت این ارور رو میده: ** IDLE can't import Tkinter.
Your Python may not be configured for Tk. **
میشه راهنماییم کنید؟ خیلی ممنونم
Skye
Skye
۱۳۹۴/۰۸/۲۲
با این دستورات مشکل رو حل کردم
sudo aptitude install python3-tk
sudo aptitude install tk-dev

ممنون :)

در پاسخ به